diff --git a/dlls/mfplat/tests/mfplat.c b/dlls/mfplat/tests/mfplat.c
index 8d21f2ed6..20577453f 100644
--- a/dlls/mfplat/tests/mfplat.c
+++ b/dlls/mfplat/tests/mfplat.c
@@ -4081,60 +4022,60 @@ static void test_stream_descriptor(void)
 
     /* IsMediaTypeSupported() for unset current type. */
     hr = MFCreateStreamDescriptor(123, ARRAY_SIZE(media_types), media_types, &stream_desc);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
 
     hr = IMFStreamDescriptor_GetMediaTypeHandler(stream_desc, &type_handler);
-    ok(hr == S_OK, "Failed to get type handler, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get type handler, hr %#x.\n", hr);
 
     hr = IMFMediaTypeHandler_IsMediaTypeSupported(type_handler, media_type3, NULL);
-    ok(hr == MF_E_INVALIDMEDIATYPE, "Unexpected hr %#lx.\n", hr);
+    ok(hr == MF_E_INVALIDMEDIATYPE, "Unexpected hr %#x.\n", hr);
 
     /* Initialize one from initial type set. */
     hr = IMFMediaType_CopyAllItems(media_type3, (IMFAttributes *)media_types[0]);
-    ok(hr == S_OK, "Failed to copy attributes, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to copy attributes, hr %#x.\n", hr);
 
     media_type2 = (void *)0xdeadbeef;
     hr = IMFMediaTypeHandler_IsMediaTypeSupported(type_handler, media_type3, &media_type2);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
     ok(!media_type2, "Unexpected pointer.\n");
 
     hr = IMFMediaType_SetGUID(media_type3, &MF_MT_SUBTYPE, &MFAudioFormat_PCM);
-    ok(hr == S_OK, "Failed to copy attributes, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to copy attributes, hr %#x.\n", hr);
 
     media_type2 = (void *)0xdeadbeef;
     hr = IMFMediaTypeHandler_IsMediaTypeSupported(type_handler, media_type3, &media_type2);
-    ok(hr == MF_E_INVALIDMEDIATYPE, "Unexpected hr %#lx.\n", hr);
+    ok(hr == MF_E_INVALIDMEDIATYPE, "Unexpected hr %#x.\n", hr);
     ok(!media_type2, "Unexpected pointer.\n");
 
     hr = IMFMediaType_SetGUID(media_type3, &MF_MT_SUBTYPE, &MFAudioFormat_MP3);
-    ok(hr == S_OK, "Failed to copy attributes, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to copy attributes, hr %#x.\n", hr);
 
     media_type2 = (void *)0xdeadbeef;
     hr = IMFMediaTypeHandler_IsMediaTypeSupported(type_handler, media_type3, &media_type2);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
     ok(!media_type2, "Unexpected pointer.\n");
 
     /* Now set current type that's not compatible. */
     hr = IMFMediaType_SetGUID(media_type3, &MF_MT_MAJOR_TYPE, &MFMediaType_Video);
-    ok(hr == S_OK, "Failed to copy attributes, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to copy attributes, hr %#x.\n", hr);
 
     hr = IMFMediaType_SetGUID(media_type3, &MF_MT_SUBTYPE, &MFVideoFormat_RGB8);
-    ok(hr == S_OK, "Failed to copy attributes, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to copy attributes, hr %#x.\n", hr);
 
     hr = IMFMediaTypeHandler_SetCurrentMediaType(type_handler, media_type3);
-    ok(hr == S_OK, "Failed to set current type, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to set current type, hr %#x.\n", hr);
 
     media_type2 = (void *)0xdeadbeef;
     hr = IMFMediaTypeHandler_IsMediaTypeSupported(type_handler, media_type3, &media_type2);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
     ok(!media_type2, "Unexpected pointer.\n");
 
     hr = IMFMediaType_CopyAllItems(media_types[0], (IMFAttributes *)media_type);
-    ok(hr == S_OK, "Failed to copy attributes, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to copy attributes, hr %#x.\n", hr);
 
     media_type2 = (void *)0xdeadbeef;
     hr = IMFMediaTypeHandler_IsMediaTypeSupported(type_handler, media_type, &media_type2);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
     ok(!media_type2, "Unexpected pointer.\n");
 
     IMFMediaType_Release(media_type);
@@ -4146,32 +4087,32 @@ static void test_stream_descriptor(void)
 
     /* Major type is returned for first entry. */
     hr = MFCreateMediaType(&media_types[0]);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
     hr = MFCreateMediaType(&media_types[1]);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
 
     hr = IMFMediaType_SetGUID(media_types[0], &MF_MT_MAJOR_TYPE, &MFMediaType_Audio);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
     hr = IMFMediaType_SetGUID(media_types[1], &MF_MT_MAJOR_TYPE, &MFMediaType_Video);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
 
     hr = MFCreateStreamDescriptor(0, 2, media_types, &stream_desc);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
 
     hr = IMFStreamDescriptor_GetMediaTypeHandler(stream_desc, &type_handler);
-    ok(hr == S_OK, "Failed to get type handler, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get type handler, hr %#x.\n", hr);
 
     hr = IMFMediaTypeHandler_GetMajorType(type_handler, &major_type);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
     ok(IsEqualGUID(&major_type, &MFMediaType_Audio), "Unexpected major type %s.\n", wine_dbgstr_guid(&major_type));
 
     hr = IMFMediaType_SetGUID(media_types[0], &MF_MT_MAJOR_TYPE, &MFMediaType_Video);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
     hr = IMFMediaType_SetGUID(media_types[1], &MF_MT_MAJOR_TYPE, &MFMediaType_Audio);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
 
     hr = IMFMediaTypeHandler_GetMajorType(type_handler, &major_type);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
     ok(IsEqualGUID(&major_type, &MFMediaType_Video), "Unexpected major type %s.\n", wine_dbgstr_guid(&major_type));
 
     IMFMediaType_Release(media_types[0]);
@@ -4181,106 +4122,107 @@ static void test_stream_descriptor(void)
     IMFStreamDescriptor_Release(stream_desc);
 }
 
-static const struct image_size_test
-{
-    const GUID *subtype;
-    UINT32 width;
-    UINT32 height;
-    UINT32 size;
-    UINT32 plane_size; /* Matches image size when 0. */
-}
-image_size_tests[] =
-{
-    { &MFVideoFormat_RGB8, 3, 5, 20 },
-    { &MFVideoFormat_RGB8, 1, 1, 4 },
-    { &MFVideoFormat_RGB555, 3, 5, 40 },
-    { &MFVideoFormat_RGB555, 1, 1, 4 },
-    { &MFVideoFormat_RGB565, 3, 5, 40 },
-    { &MFVideoFormat_RGB565, 1, 1, 4 },
-    { &MFVideoFormat_RGB24, 3, 5, 60 },
-    { &MFVideoFormat_RGB24, 1, 1, 4 },
-    { &MFVideoFormat_RGB32, 3, 5, 60 },
-    { &MFVideoFormat_RGB32, 1, 1, 4 },
-    { &MFVideoFormat_ARGB32, 3, 5, 60 },
-    { &MFVideoFormat_ARGB32, 1, 1, 4 },
-    { &MFVideoFormat_A2R10G10B10, 3, 5, 60 },
-    { &MFVideoFormat_A2R10G10B10, 1, 1, 4 },
-    { &MFVideoFormat_A16B16G16R16F, 3, 5, 120 },
-    { &MFVideoFormat_A16B16G16R16F, 1, 1, 8 },
-
-    /* YUV */
-    { &MFVideoFormat_NV12, 1, 3, 9, 4 },
-    { &MFVideoFormat_NV12, 1, 2, 6, 3 },
-    { &MFVideoFormat_NV12, 2, 2, 6, 6 },
-    { &MFVideoFormat_NV12, 3, 2, 12, 9 },
-    { &MFVideoFormat_NV12, 4, 2, 12 },
-    { &MFVideoFormat_NV12, 320, 240, 115200 },
-    { &MFVideoFormat_AYUV, 1, 1, 4 },
-    { &MFVideoFormat_AYUV, 2, 1, 8 },
-    { &MFVideoFormat_AYUV, 1, 2, 8 },
-    { &MFVideoFormat_AYUV, 4, 3, 48 },
-    { &MFVideoFormat_AYUV, 320, 240, 307200 },
-    { &MFVideoFormat_IMC1, 1, 1, 4 },
-    { &MFVideoFormat_IMC1, 2, 1, 4 },
-    { &MFVideoFormat_IMC1, 1, 2, 8 },
-    { &MFVideoFormat_IMC1, 4, 3, 24 },
-    { &MFVideoFormat_IMC1, 320, 240, 153600 },
-    { &MFVideoFormat_IMC3, 1, 1, 4 },
-    { &MFVideoFormat_IMC3, 2, 1, 4 },
-    { &MFVideoFormat_IMC3, 1, 2, 8 },
-    { &MFVideoFormat_IMC3, 4, 3, 24 },
-    { &MFVideoFormat_IMC3, 320, 240, 153600 },
-    { &MFVideoFormat_IMC2, 1, 3, 9, 4 },
-    { &MFVideoFormat_IMC2, 1, 2, 6, 3 },
-    { &MFVideoFormat_IMC2, 2, 2, 6, 6 },
-    { &MFVideoFormat_IMC2, 3, 2, 12, 9 },
-    { &MFVideoFormat_IMC2, 4, 2, 12 },
-    { &MFVideoFormat_IMC2, 320, 240, 115200 },
-    { &MFVideoFormat_IMC4, 1, 3, 9, 4 },
-    { &MFVideoFormat_IMC4, 1, 2, 6, 3 },
-    { &MFVideoFormat_IMC4, 2, 2, 6, 6 },
-    { &MFVideoFormat_IMC4, 3, 2, 12, 9 },
-    { &MFVideoFormat_IMC4, 4, 2, 12 },
-    { &MFVideoFormat_IMC4, 320, 240, 115200 },
-    { &MFVideoFormat_YV12, 1, 1, 3, 1 },
-    { &MFVideoFormat_YV12, 2, 1, 3 },
-    { &MFVideoFormat_YV12, 1, 2, 6, 3 },
-    { &MFVideoFormat_YV12, 4, 3, 18 },
-    { &MFVideoFormat_YV12, 320, 240, 115200 },
-
-    { &MFVideoFormat_I420, 1, 1, 3, 1 },
-    { &MFVideoFormat_I420, 2, 1, 3 },
-    { &MFVideoFormat_I420, 1, 2, 6, 3 },
-    { &MFVideoFormat_I420, 4, 3, 18 },
-    { &MFVideoFormat_I420, 320, 240, 115200 },
-
-    { &MFVideoFormat_IYUV, 1, 1, 3, 1 },
-    { &MFVideoFormat_IYUV, 2, 1, 3 },
-    { &MFVideoFormat_IYUV, 1, 2, 6, 3 },
-    { &MFVideoFormat_IYUV, 4, 3, 18 },
-    { &MFVideoFormat_IYUV, 320, 240, 115200 },
-
-    { &MFVideoFormat_YUY2, 2, 1, 4 },
-    { &MFVideoFormat_YUY2, 4, 3, 24 },
-    { &MFVideoFormat_YUY2, 128, 128, 32768 },
-    { &MFVideoFormat_YUY2, 320, 240, 153600 },
-
-    { &MFVideoFormat_UYVY, 2, 1, 4 },
-    { &MFVideoFormat_UYVY, 4, 3, 24 },
-    { &MFVideoFormat_UYVY, 128, 128, 32768 },
-    { &MFVideoFormat_UYVY, 320, 240, 153600 },
-};
-
 static void test_MFCalculateImageSize(void)
 {
-    DWORD plane_size;
+    static const struct image_size_test
+    {
+        const GUID *subtype;
+        UINT32 width;
+        UINT32 height;
+        UINT32 size;
+        UINT32 plane_size; /* Matches image size when 0. */
+    }
+    image_size_tests[] =
+    {
+        { &MFVideoFormat_RGB8, 3, 5, 20 },
+        { &MFVideoFormat_RGB8, 1, 1, 4 },
+        { &MFVideoFormat_RGB555, 3, 5, 40 },
+        { &MFVideoFormat_RGB555, 1, 1, 4 },
+        { &MFVideoFormat_RGB565, 3, 5, 40 },
+        { &MFVideoFormat_RGB565, 1, 1, 4 },
+        { &MFVideoFormat_RGB24, 3, 5, 60 },
+        { &MFVideoFormat_RGB24, 1, 1, 4 },
+        { &MFVideoFormat_RGB32, 3, 5, 60 },
+        { &MFVideoFormat_RGB32, 1, 1, 4 },
+        { &MFVideoFormat_ARGB32, 3, 5, 60 },
+        { &MFVideoFormat_ARGB32, 1, 1, 4 },
+        { &MFVideoFormat_A2R10G10B10, 3, 5, 60 },
+        { &MFVideoFormat_A2R10G10B10, 1, 1, 4 },
+        { &MFVideoFormat_A16B16G16R16F, 3, 5, 120 },
+        { &MFVideoFormat_A16B16G16R16F, 1, 1, 8 },
+
+        /* YUV */
+        { &MFVideoFormat_NV12, 1, 3, 9, 4 },
+        { &MFVideoFormat_NV12, 1, 2, 6, 3 },
+        { &MFVideoFormat_NV12, 2, 2, 6, 6 },
+        { &MFVideoFormat_NV12, 3, 2, 12, 9 },
+        { &MFVideoFormat_NV12, 4, 2, 12 },
+        { &MFVideoFormat_NV12, 320, 240, 115200 },
+        { &MFVideoFormat_AYUV, 1, 1, 4 },
+        { &MFVideoFormat_AYUV, 2, 1, 8 },
+        { &MFVideoFormat_AYUV, 1, 2, 8 },
+        { &MFVideoFormat_AYUV, 4, 3, 48 },
+        { &MFVideoFormat_AYUV, 320, 240, 307200 },
+        { &MFVideoFormat_IMC1, 1, 1, 4 },
+        { &MFVideoFormat_IMC1, 2, 1, 4 },
+        { &MFVideoFormat_IMC1, 1, 2, 8 },
+        { &MFVideoFormat_IMC1, 4, 3, 24 },
+        { &MFVideoFormat_IMC1, 320, 240, 153600 },
+        { &MFVideoFormat_IMC3, 1, 1, 4 },
+        { &MFVideoFormat_IMC3, 2, 1, 4 },
+        { &MFVideoFormat_IMC3, 1, 2, 8 },
+        { &MFVideoFormat_IMC3, 4, 3, 24 },
+        { &MFVideoFormat_IMC3, 320, 240, 153600 },
+        { &MFVideoFormat_IMC2, 1, 3, 9, 4 },
+        { &MFVideoFormat_IMC2, 1, 2, 6, 3 },
+        { &MFVideoFormat_IMC2, 2, 2, 6, 6 },
+        { &MFVideoFormat_IMC2, 3, 2, 12, 9 },
+        { &MFVideoFormat_IMC2, 4, 2, 12 },
+        { &MFVideoFormat_IMC2, 320, 240, 115200 },
+        { &MFVideoFormat_IMC4, 1, 3, 9, 4 },
+        { &MFVideoFormat_IMC4, 1, 2, 6, 3 },
+        { &MFVideoFormat_IMC4, 2, 2, 6, 6 },
+        { &MFVideoFormat_IMC4, 3, 2, 12, 9 },
+        { &MFVideoFormat_IMC4, 4, 2, 12 },
+        { &MFVideoFormat_IMC4, 320, 240, 115200 },
+        { &MFVideoFormat_YV12, 1, 1, 3, 1 },
+        { &MFVideoFormat_YV12, 2, 1, 3 },
+        { &MFVideoFormat_YV12, 1, 2, 6, 3 },
+        { &MFVideoFormat_YV12, 4, 3, 18 },
+        { &MFVideoFormat_YV12, 320, 240, 115200 },
+
+        { &MFVideoFormat_I420, 1, 1, 3, 1 },
+        { &MFVideoFormat_I420, 2, 1, 3 },
+        { &MFVideoFormat_I420, 1, 2, 6, 3 },
+        { &MFVideoFormat_I420, 4, 3, 18 },
+        { &MFVideoFormat_I420, 320, 240, 115200 },
+
+        { &MFVideoFormat_IYUV, 1, 1, 3, 1 },
+        { &MFVideoFormat_IYUV, 2, 1, 3 },
+        { &MFVideoFormat_IYUV, 1, 2, 6, 3 },
+        { &MFVideoFormat_IYUV, 4, 3, 18 },
+        { &MFVideoFormat_IYUV, 320, 240, 115200 },
+
+        { &MFVideoFormat_YUY2, 2, 1, 4 },
+        { &MFVideoFormat_YUY2, 4, 3, 24 },
+        { &MFVideoFormat_YUY2, 128, 128, 32768 },
+        { &MFVideoFormat_YUY2, 320, 240, 153600 },
+
+        { &MFVideoFormat_UYVY, 2, 1, 4 },
+        { &MFVideoFormat_UYVY, 4, 3, 24 },
+        { &MFVideoFormat_UYVY, 128, 128, 32768 },
+        { &MFVideoFormat_UYVY, 320, 240, 153600 },
+    };
     unsigned int i;
     UINT32 size;
     HRESULT hr;
 
+    if (!pMFGetPlaneSize)
+        win_skip("MFGetPlaneSize() is not available.\n");
+
     size = 1;
     hr = MFCalculateImageSize(&IID_IUnknown, 1, 1, &size);
-    ok(hr == E_INVALIDARG || broken(hr == S_OK) /* Vista */, "Unexpected hr %#lx.\n", hr);
+    ok(hr == E_INVALIDARG || broken(hr == S_OK) /* Vista */, "Unexpected hr %#x.\n", hr);
     ok(size == 0, "Unexpected size %u.\n", size);
 
     for (i = 0; i < ARRAY_SIZE(image_size_tests); ++i)
@@ -4292,49 +4234,21 @@ static void test_MFCalculateImageSize(void)
                 IsEqualGUID(ptr->subtype, &MFVideoFormat_A2R10G10B10);
 
         hr = MFCalculateImageSize(ptr->subtype, ptr->width, ptr->height, &size);
-        ok(hr == S_OK || (is_broken && hr == E_INVALIDARG), "%u: failed to calculate image size, hr %#lx.\n", i, hr);
+        ok(hr == S_OK || (is_broken && hr == E_INVALIDARG), "%u: failed to calculate image size, hr %#x.\n", i, hr);
         ok(size == ptr->size, "%u: unexpected image size %u, expected %u. Size %u x %u, format %s.\n", i, size, ptr->size,
                 ptr->width, ptr->height, wine_dbgstr_an((char *)&ptr->subtype->Data1, 4));
 
         if (pMFGetPlaneSize)
         {
-            unsigned int expected = ptr->plane_size ? ptr->plane_size : ptr->size;
+            unsigned int plane_size = ptr->plane_size ? ptr->plane_size : ptr->size;
 
-            hr = pMFGetPlaneSize(ptr->subtype->Data1, ptr->width, ptr->height, &plane_size);
-            ok(hr == S_OK, "%u: failed to get plane size, hr %#lx.\n", i, hr);
-            ok(plane_size == expected, "%u: unexpected plane size %lu, expected %u.\n", i, plane_size, expected);
+            hr = pMFGetPlaneSize(ptr->subtype->Data1, ptr->width, ptr->height, &size);
+            ok(hr == S_OK, "%u: failed to get plane size, hr %#x.\n", i, hr);
+            ok(size == plane_size, "%u: unexpected plane size %u, expected %u.\n", i, size, plane_size);
         }
     }
 }
 
-static void test_MFGetPlaneSize(void)
-{
-    unsigned int i;
-    DWORD size;
-    HRESULT hr;
-
-    if (!pMFGetPlaneSize)
-    {
-        win_skip("MFGetPlaneSize() is not available.\n");
-        return;
-    }
-
-    size = 1;
-    hr = pMFGetPlaneSize(0xdeadbeef, 64, 64, &size);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
-    ok(size == 0, "Unexpected size %lu.\n", size);
-
-    for (i = 0; i < ARRAY_SIZE(image_size_tests); ++i)
-    {
-        const struct image_size_test *ptr = &image_size_tests[i];
-        unsigned int plane_size = ptr->plane_size ? ptr->plane_size : ptr->size;
-
-        hr = pMFGetPlaneSize(ptr->subtype->Data1, ptr->width, ptr->height, &size);
-        ok(hr == S_OK, "%u: failed to get plane size, hr %#lx.\n", i, hr);
-        ok(size == plane_size, "%u: unexpected plane size %lu, expected %u.\n", i, size, plane_size);
-    }
-}
-
 static void test_MFCompareFullToPartialMediaType(void)
 {
     IMFMediaType *full_type, *partial_type;
@@ -4342,31 +4256,31 @@ static void test_MFCompareFullToPartialMediaType(void)
     BOOL ret;
 
     hr = MFCreateMediaType(&full_type);
-    ok(hr == S_OK, "Failed to create media type, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to create media type, hr %#x.\n", hr);
 
     hr = MFCreateMediaType(&partial_type);
-    ok(hr == S_OK, "Failed to create media type, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to create media type, hr %#x.\n", hr);
 
     ret = MFCompareFullToPartialMediaType(full_type, partial_type);
     ok(!ret, "Unexpected result %d.\n", ret);
 
     hr = IMFMediaType_SetGUID(full_type, &MF_MT_MAJOR_TYPE, &MFMediaType_Audio);
-    ok(hr == S_OK, "Failed to set major type, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to set major type, hr %#x.\n", hr);
 
     hr = IMFMediaType_SetGUID(partial_type, &MF_MT_MAJOR_TYPE, &MFMediaType_Audio);
-    ok(hr == S_OK, "Failed to set major type, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to set major type, hr %#x.\n", hr);
 
     ret = MFCompareFullToPartialMediaType(full_type, partial_type);
     ok(ret, "Unexpected result %d.\n", ret);
 
     hr = IMFMediaType_SetGUID(full_type, &MF_MT_SUBTYPE, &MFMediaType_Audio);
-    ok(hr == S_OK, "Failed to set major type, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to set major type, hr %#x.\n", hr);
 
     ret = MFCompareFullToPartialMediaType(full_type, partial_type);
     ok(ret, "Unexpected result %d.\n", ret);
 
     hr = IMFMediaType_SetGUID(partial_type, &MF_MT_SUBTYPE, &MFMediaType_Video);
-    ok(hr == S_OK, "Failed to set major type, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to set major type, hr %#x.\n", hr);
 
     ret = MFCompareFullToPartialMediaType(full_type, partial_type);
     ok(!ret, "Unexpected result %d.\n", ret);
@@ -4389,35 +4303,35 @@ static void test_attributes_serialization(void)
     GUID guid;
 
     hr = MFCreateAttributes(&attributes, 0);
-    ok(hr == S_OK, "Failed to create object, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to create object, hr %#x.\n", hr);
 
     hr = MFCreateAttributes(&dest, 0);
-    ok(hr == S_OK, "Failed to create object, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to create object, hr %#x.\n", hr);
 
     hr = MFGetAttributesAsBlobSize(attributes, &size);
-    ok(hr == S_OK, "Failed to get blob size, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get blob size, hr %#x.\n", hr);
     ok(size == 8, "Got size %u.\n", size);
 
     buffer = malloc(size);
 
     hr = MFGetAttributesAsBlob(attributes, buffer, size);
-    ok(hr == S_OK, "Failed to serialize, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to serialize, hr %#x.\n", hr);
 
     hr = MFGetAttributesAsBlob(attributes, buffer, size - 1);
-    ok(hr == MF_E_BUFFERTOOSMALL, "Unexpected hr %#lx.\n", hr);
+    ok(hr == MF_E_BUFFERTOOSMALL, "Unexpected hr %#x.\n", hr);
 
     hr = MFInitAttributesFromBlob(dest, buffer, size - 1);
-    ok(hr == E_INVALIDARG, "Unexpected hr %#lx.\n", hr);
+    ok(hr == E_INVALIDARG, "Unexpected hr %#x.\n", hr);
 
     hr = IMFAttributes_SetUINT32(dest, &MF_MT_MAJOR_TYPE, 1);
-    ok(hr == S_OK, "Failed to set attribute, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to set attribute, hr %#x.\n", hr);
 
     hr = MFInitAttributesFromBlob(dest, buffer, size);
-    ok(hr == S_OK, "Failed to deserialize, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to deserialize, hr %#x.\n", hr);
 
     /* Previous items are cleared. */
     hr = IMFAttributes_GetCount(dest, &count);
-    ok(hr == S_OK, "Failed to get attribute count, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get attribute count, hr %#x.\n", hr);
     ok(count == 0, "Unexpected count %u.\n", count);
 
     free(buffer);
@@ -4432,36 +4346,36 @@ static void test_attributes_serialization(void)
     IMFAttributes_SetBlob(attributes, &DUMMY_GUID1, blob, sizeof(blob));
 
     hr = MFGetAttributesAsBlobSize(attributes, &size);
-    ok(hr == S_OK, "Failed to get blob size, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get blob size, hr %#x.\n", hr);
     ok(size > 8, "Got unexpected size %u.\n", size);
 
     buffer = malloc(size);
     hr = MFGetAttributesAsBlob(attributes, buffer, size);
-    ok(hr == S_OK, "Failed to serialize, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to serialize, hr %#x.\n", hr);
     hr = MFInitAttributesFromBlob(dest, buffer, size);
-    ok(hr == S_OK, "Failed to deserialize, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to deserialize, hr %#x.\n", hr);
     free(buffer);
 
     hr = IMFAttributes_GetUINT32(dest, &MF_MT_MAJOR_TYPE, &value32);
-    ok(hr == S_OK, "Failed to get get uint32 value, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get get uint32 value, hr %#x.\n", hr);
     ok(value32 == 456, "Unexpected value %u.\n", value32);
     hr = IMFAttributes_GetUINT64(dest, &MF_MT_SUBTYPE, &value64);
-    ok(hr == S_OK, "Failed to get get uint64 value, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get get uint64 value, hr %#x.\n", hr);
     ok(value64 == 123, "Unexpected value.\n");
     hr = IMFAttributes_GetDouble(dest, &IID_IUnknown, &value_dbl);
-    ok(hr == S_OK, "Failed to get get double value, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get get double value, hr %#x.\n", hr);
     ok(value_dbl == 0.5, "Unexpected value.\n");
     hr = IMFAttributes_GetUnknown(dest, &IID_IMFAttributes, &IID_IUnknown, (void **)&obj);
-    ok(hr == MF_E_ATTRIBUTENOTFOUND, "Unexpected hr %#lx.\n", hr);
+    ok(hr == MF_E_ATTRIBUTENOTFOUND, "Unexpected hr %#x.\n", hr);
     hr = IMFAttributes_GetGUID(dest, &GUID_NULL, &guid);
-    ok(hr == S_OK, "Failed to get guid value, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get guid value, hr %#x.\n", hr);
     ok(IsEqualGUID(&guid, &IID_IUnknown), "Unexpected guid.\n");
     hr = IMFAttributes_GetAllocatedString(dest, &DUMMY_CLSID, &str, &size);
-    ok(hr == S_OK, "Failed to get string value, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get string value, hr %#x.\n", hr);
     ok(!lstrcmpW(str, L"Text"), "Unexpected string.\n");
     CoTaskMemFree(str);
     hr = IMFAttributes_GetAllocatedBlob(dest, &DUMMY_GUID1, &buffer, &size);
-    ok(hr == S_OK, "Failed to get blob value, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get blob value, hr %#x.\n", hr);
     ok(!memcmp(buffer, blob, sizeof(blob)), "Unexpected blob.\n");
     CoTaskMemFree(buffer);
 
@@ -4477,49 +4391,49 @@ static void test_wrapped_media_type(void)
     GUID guid;
 
     hr = MFCreateMediaType(&mediatype);
-    ok(hr == S_OK, "Failed to create media type, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to create media type, hr %#x.\n", hr);
 
     hr = MFUnwrapMediaType(mediatype, &mediatype2);
-    ok(hr == MF_E_ATTRIBUTENOTFOUND, "Unexpected hr %#lx.\n", hr);
+    ok(hr == MF_E_ATTRIBUTENOTFOUND, "Unexpected hr %#x.\n", hr);
 
     hr = IMFMediaType_SetUINT32(mediatype, &GUID_NULL, 1);
-    ok(hr == S_OK, "Failed to set attribute, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to set attribute, hr %#x.\n", hr);
     hr = IMFMediaType_SetUINT32(mediatype, &DUMMY_GUID1, 2);
-    ok(hr == S_OK, "Failed to set attribute, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to set attribute, hr %#x.\n", hr);
 
     hr = IMFMediaType_SetGUID(mediatype, &MF_MT_MAJOR_TYPE, &MFMediaType_Video);
-    ok(hr == S_OK, "Failed to set GUID value, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to set GUID value, hr %#x.\n", hr);
 
     hr = MFWrapMediaType(mediatype, &MFMediaType_Audio, &IID_IUnknown, &mediatype2);
-    ok(hr == S_OK, "Failed to create wrapped media type, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to create wrapped media type, hr %#x.\n", hr);
 
     hr = IMFMediaType_GetGUID(mediatype2, &MF_MT_MAJOR_TYPE, &guid);
-    ok(hr == S_OK, "Failed to get major type, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get major type, hr %#x.\n", hr);
     ok(IsEqualGUID(&guid, &MFMediaType_Audio), "Unexpected major type.\n");
 
     hr = IMFMediaType_GetGUID(mediatype2, &MF_MT_SUBTYPE, &guid);
-    ok(hr == S_OK, "Failed to get subtype, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get subtype, hr %#x.\n", hr);
     ok(IsEqualGUID(&guid, &IID_IUnknown), "Unexpected major type.\n");
 
     hr = IMFMediaType_GetCount(mediatype2, &count);
-    ok(hr == S_OK, "Failed to get item count, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get item count, hr %#x.\n", hr);
     ok(count == 3, "Unexpected count %u.\n", count);
 
     hr = IMFMediaType_GetItemType(mediatype2, &MF_MT_WRAPPED_TYPE, &type);
-    ok(hr == S_OK, "Failed to get item type, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get item type, hr %#x.\n", hr);
     ok(type == MF_ATTRIBUTE_BLOB, "Unexpected item type.\n");
 
     IMFMediaType_Release(mediatype);
 
     hr = MFUnwrapMediaType(mediatype2, &mediatype);
-    ok(hr == S_OK, "Failed to unwrap, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to unwrap, hr %#x.\n", hr);
 
     hr = IMFMediaType_GetGUID(mediatype, &MF_MT_MAJOR_TYPE, &guid);
-    ok(hr == S_OK, "Failed to get major type, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get major type, hr %#x.\n", hr);
     ok(IsEqualGUID(&guid, &MFMediaType_Video), "Unexpected major type.\n");
 
     hr = IMFMediaType_GetGUID(mediatype, &MF_MT_SUBTYPE, &guid);
-    ok(hr == MF_E_ATTRIBUTENOTFOUND, "Unexpected hr %#lx.\n", hr);
+    ok(hr == MF_E_ATTRIBUTENOTFOUND, "Unexpected hr %#x.\n", hr);
 
     IMFMediaType_Release(mediatype);
     IMFMediaType_Release(mediatype2);
@@ -4544,36 +4458,36 @@ static void test_MFCreateWaveFormatExFromMFMediaType(void)
     HRESULT hr;
 
     hr = MFCreateMediaType(&mediatype);
-    ok(hr == S_OK, "Failed to create media type, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to create media type, hr %#x.\n", hr);
 
     hr = MFCreateWaveFormatExFromMFMediaType(mediatype, &format, &size, MFWaveFormatExConvertFlag_Normal);
-    ok(hr == MF_E_ATTRIBUTENOTFOUND, "Unexpected hr %#lx.\n", hr);
+    ok(hr == MF_E_ATTRIBUTENOTFOUND, "Unexpected hr %#x.\n", hr);
 
     hr = IMFMediaType_SetGUID(mediatype, &MF_MT_MAJOR_TYPE, &MFMediaType_Video);
-    ok(hr == S_OK, "Failed to set attribute, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to set attribute, hr %#x.\n", hr);
 
     hr = MFCreateWaveFormatExFromMFMediaType(mediatype, &format, &size, MFWaveFormatExConvertFlag_Normal);
-    ok(hr == MF_E_ATTRIBUTENOTFOUND, "Unexpected hr %#lx.\n", hr);
+    ok(hr == MF_E_ATTRIBUTENOTFOUND, "Unexpected hr %#x.\n", hr);
 
     hr = IMFMediaType_SetGUID(mediatype, &MF_MT_SUBTYPE, &MFMediaType_Video);
-    ok(hr == S_OK, "Failed to set attribute, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to set attribute, hr %#x.\n", hr);
 
     hr = IMFMediaType_SetGUID(mediatype, &MF_MT_MAJOR_TYPE, &MFMediaType_Audio);
-    ok(hr == S_OK, "Failed to set attribute, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to set attribute, hr %#x.\n", hr);
 
     for (i = 0; i < ARRAY_SIZE(wave_fmt_tests); ++i)
     {
         hr = IMFMediaType_SetGUID(mediatype, &MF_MT_SUBTYPE, wave_fmt_tests[i].subtype);
-        ok(hr == S_OK, "Failed to set attribute, hr %#lx.\n", hr);
+        ok(hr == S_OK, "Failed to set attribute, hr %#x.\n", hr);
 
         hr = MFCreateWaveFormatExFromMFMediaType(mediatype, &format, &size, MFWaveFormatExConvertFlag_Normal);
-        ok(hr == S_OK, "Failed to create format, hr %#lx.\n", hr);
+        ok(hr == S_OK, "Failed to create format, hr %#x.\n", hr);
         ok(format != NULL, "Expected format structure.\n");
         ok(size == sizeof(*format), "Unexpected size %u.\n", size);
         ok(format->wFormatTag == wave_fmt_tests[i].format_tag, "Expected tag %u, got %u.\n", wave_fmt_tests[i].format_tag, format->wFormatTag);
         ok(format->nChannels == 0, "Unexpected number of channels, %u.\n", format->nChannels);
-        ok(format->nSamplesPerSec == 0, "Unexpected sample rate, %lu.\n", format->nSamplesPerSec);
-        ok(format->nAvgBytesPerSec == 0, "Unexpected average data rate rate, %lu.\n", format->nAvgBytesPerSec);
+        ok(format->nSamplesPerSec == 0, "Unexpected sample rate, %u.\n", format->nSamplesPerSec);
+        ok(format->nAvgBytesPerSec == 0, "Unexpected average data rate rate, %u.\n", format->nAvgBytesPerSec);
         ok(format->nBlockAlign == 0, "Unexpected alignment, %u.\n", format->nBlockAlign);
         ok(format->wBitsPerSample == 0, "Unexpected sample size, %u.\n", format->wBitsPerSample);
         ok(format->cbSize == 0, "Unexpected size field, %u.\n", format->cbSize);
@@ -4581,13 +4495,13 @@ static void test_MFCreateWaveFormatExFromMFMediaType(void)
 
         hr = MFCreateWaveFormatExFromMFMediaType(mediatype, (WAVEFORMATEX **)&format_ext, &size,
                 MFWaveFormatExConvertFlag_ForceExtensible);
-        ok(hr == S_OK, "Failed to create format, hr %#lx.\n", hr);
+        ok(hr == S_OK, "Failed to create format, hr %#x.\n", hr);
         ok(format_ext != NULL, "Expected format structure.\n");
         ok(size == sizeof(*format_ext), "Unexpected size %u.\n", size);
         ok(format_ext->Format.wFormatTag == WAVE_FORMAT_EXTENSIBLE, "Unexpected tag.\n");
         ok(format_ext->Format.nChannels == 0, "Unexpected number of channels, %u.\n", format_ext->Format.nChannels);
-        ok(format_ext->Format.nSamplesPerSec == 0, "Unexpected sample rate, %lu.\n", format_ext->Format.nSamplesPerSec);
-        ok(format_ext->Format.nAvgBytesPerSec == 0, "Unexpected average data rate rate, %lu.\n",
+        ok(format_ext->Format.nSamplesPerSec == 0, "Unexpected sample rate, %u.\n", format_ext->Format.nSamplesPerSec);
+        ok(format_ext->Format.nAvgBytesPerSec == 0, "Unexpected average data rate rate, %u.\n",
                 format_ext->Format.nAvgBytesPerSec);
         ok(format_ext->Format.nBlockAlign == 0, "Unexpected alignment, %u.\n", format_ext->Format.nBlockAlign);
         ok(format_ext->Format.wBitsPerSample == 0, "Unexpected sample size, %u.\n", format_ext->Format.wBitsPerSample);
@@ -4596,7 +4510,7 @@ static void test_MFCreateWaveFormatExFromMFMediaType(void)
         CoTaskMemFree(format_ext);
 
         hr = MFCreateWaveFormatExFromMFMediaType(mediatype, &format, &size, MFWaveFormatExConvertFlag_ForceExtensible + 1);
-        ok(hr == S_OK, "Failed to create format, hr %#lx.\n", hr);
+        ok(hr == S_OK, "Failed to create format, hr %#x.\n", hr);
         ok(size == sizeof(*format), "Unexpected size %u.\n", size);
         CoTaskMemFree(format);
     }
@@ -4616,10 +4530,10 @@ static HRESULT WINAPI test_create_file_callback_Invoke(IMFAsyncCallback *iface,
     ok((IUnknown *)iface == IMFAsyncResult_GetStateNoAddRef(result), "Unexpected result state.\n");
 
     hr = IMFAsyncResult_GetObject(result, &object);
-    ok(hr == E_POINTER, "Unexpected hr %#lx.\n", hr);
+    ok(hr == E_POINTER, "Unexpected hr %#x.\n", hr);
 
     hr = MFEndCreateFile(result, &stream);
-    ok(hr == S_OK, "Failed to get file stream, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get file stream, hr %#x.\n", hr);
     IMFByteStream_Release(stream);
 
     SetEvent(callback->event);
@@ -4647,7 +4561,7 @@ static void test_async_create_file(void)
     callback = create_test_callback(&test_create_file_callback_vtbl);
 
     hr = MFStartup(MF_VERSION, MFSTARTUP_FULL);
-    ok(hr == S_OK, "Fail to start up, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Fail to start up, hr %#x.\n", hr);
 
     callback->event = CreateEventA(NULL, FALSE, FALSE, NULL);
 
